Skip to content
API referencePlatformPlatform billing

Platform_webhook_lag_timeseries

GET
/platform/v1/billing/webhooks/lag-timeseries

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Query Parameters

hours?integer

Lookback window. Defaults to 24h; capped at 168h (7 days).

Formatint32
Range0 <= value
bucket_minutes?integer

Bucket width. Defaults to 60 min; must be in {5, 15, 30, 60, 240, 1440}.

Formatint32
Range0 <= value

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/platform/v1/billing/webhooks/lag-timeseries" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
{  "bucket_minutes": 0,  "hours": 0,  "points": [    {      "bucket_start": "2019-08-24T14:15:22Z",      "count": 0,      "p50_ms": 0.1,      "p95_ms": 0.1,      "vendor": "string"    }  ]}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}